%define upstream_name    DateTime-Format-DateManip
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl DateTime extension to convert
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz
# patch from https://rt.cpan.org/Public/Bug/Display.html?id=55771
Patch0:     perl-DateTime-Format-DateManip-fix_tests.diff

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(DateTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
DateTime::Format::DateManip is a class that knows how to convert between
'Date::Manip' dates and durations and 'DateTime' and 'DateTime::Duration'
objects. Recurrences are note yet supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-10.mga8
+ Revision: 1493846
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-9.mga7
+ Revision: 1267030
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1025093
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 949845
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 790504
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 750344
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 684271
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 510752
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 365571
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 36184
- mageia rebuild
- imported package perl-DateTime-Format-DateManip


* Wed May 05 2010 Michael Scherer <misc@mandriva.org> 0.40.0-1mdv2010.1
+ Revision: 542675
- import perl-DateTime-Format-DateManip


* Wed May 05 2010 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist
